dunetpc - Bug #19493

protoDUNE geometry has tiny gap between TPCs
03/26/2018 12:25 PM - David Adams
Assignee: Tingjun Yang % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

With current protodune_geo (v4), | find the collection wires are at x = +/-359.415 cm using WireGeo::GetCenter. From
TPCGeo::DriftDistance, | get a drift distance of 359.408. This leaves only a gap of 0.014 cm between the left and right TPC active
volumes. Reading the CDR, | think the CPA is about 12 cm and expect a gap of about that size.

Tingjun, I am not sure who is responsible for this geometry and | assign this to you assuming you will pass the buck appropriately.

If | have misunderstood something, please let me know.

History

#1 - 03/26/2018 01:00 PM - Thomas Junk

Adding Martin Tzanov to the watchlist. Passing buck.

The CPA should have a thickness, no?

#2 - 03/26/2018 01:47 PM - Martin Tzanov

The thickness of the CPA's frame is 12 cm. The CPA plane is actually much thinner. The CPA geometry was implemented with detail but due to issue
with voxelization it was reduced to the plain sheet which has the thickness of the CPA's plane.

#3 - 03/28/2018 07:25 AM - David Adams

Is this really what we want? Shouldn't we voxelize each TPC (or TPC pair) separately? Does this mean G3 is missing the material in the CPA?

If this is not going to change, | suppose | can add CPA offsets to the event display but | would really prefer to find this information somewhere in the
geometry.

#4 - 04/05/2018 11:41 AM - Gianluca Petrillo

- Assignee changed from Gianluca Petrillo to Tingjun Yang

This was (automatically?) assigned to me, but | don't think | am useful at this stage.

Bouncing it to Tingjun, as it seems it was the original intention.

In the merit, | am not sure about where the voxelisation should start, but keep in mind that soon there should be at least the possibility to drop it in
favour of step limiting. | am not sure if that's relevant here.
